<?php
/**
 * MagazineX Admin Class.
 *
 * @author  WPBlockArt
 * @package MagazineX
 * @since   1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'MagazineX_Admin' ) ) :

	/**
	 * MagazineX_Admin Class.
	 */
	class MagazineX_Admin {

		/**
		 * Constructor.
		 */
		public function __construct() {
			add_action( 'admin_enqueue_scripts', array( $this, 'enqueue_scripts' ) );
		}

		/**
		 * Localize array for import button AJAX request.
		 */
		public function enqueue_scripts() {
			wp_enqueue_style( 'magazinex-admin-style', get_template_directory_uri() . '/inc/admin/assets/css/admin.css', array(), MAGAZINEX_VERSION );

			wp_enqueue_script( 'magazinex-plugin-install-helper', get_template_directory_uri() . '/inc/admin/assets/js/plugin-handle.js', array( 'jquery' ), MAGAZINEX_VERSION, true );

			$welcome_data = array(
				'uri'      => esc_url( admin_url( '/themes.php?page=demo-importer&browse=all&magazinex-hide-notice=welcome' ) ),
				'btn_text' => esc_html__( 'Processing...', 'magazinex' ),
				'nonce'    => wp_create_nonce( 'magazinex_demo_import_nonce' ),
			);

			wp_localize_script( 'magazinex-plugin-install-helper', 'magazinexRedirectDemoPage', $welcome_data );
		}
	}

endif;

return new MagazineX_Admin();
