<?php
/**
 * Adds classes to appropriate places.
 *
 * @package magazinex
 */

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;

if ( ! class_exists( 'MagazineX_Css_Classes' ) ) :
	/**
	 * Adds css classes
	 */
	class MagazineX_Css_Classes {

		/**
		 * Constructor.
		 */
		public function __construct() {
			add_filter(
				'mzx_footer_widget_container_class',
				array(
					$this,
					'mzx_add_footer_widget_container_classes',
				)
			);
		}

		/**
		 * Adds css classes into the footer widget area
		 *
		 * @param array $classes list of old classes.
		 *
		 * @return array
		 */
		public function mzx_add_footer_widget_container_classes( $classes ) {
			$classes[] = get_theme_mod( 'magazinex_footer_column_layout', 'mzx-grid-cols--3' );

			return $classes;
		}
	}
endif;
new MagazineX_Css_Classes();
