<?php
/**
 * Template part for entry header.
 *
 * @link    https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package MagazineX
 * @since   1.0.0
 */

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;

$meta_orders = get_theme_mod(
	'magazinex_blog_meta',
	array(
		'category',
		'author',
		'date',
		'comment',
	)
);

?>
<header class="entry-header">
	<div class="entry-header-meta">
		<?php
			if ( in_array( 'category', $meta_orders, true ) ) {
				magazinex_entry_category();
				magazinex_entry_comments();
			}
		?>
	</div>

	<?php
		if ( is_singular() ) :

			the_title( '<h1 class="entry-title">', '</h1>' );
		else :
			the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
		endif;
	?>
</header><!-- .entry-header -->
