<?php
/**
 * Template part for displaying related posts.
 *
 * @link    https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package MagazineX
 * @since   1.0.0
 */

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php if ( has_post_thumbnail() ) : ?>
		<div class="entry-thumbnail">
			<a class="entry-thumbnail__link" href="<?php the_permalink(); ?>">
				<?php
				the_post_thumbnail(
					'medium',
					array(
						'alt' => the_title_attribute(
							array(
								'echo' => false,
							)
						),
					)
				);
				?>
			</a>
		</div>
	<?php endif; ?>

	<header class="entry-header">
		<div class="entry-header-meta">
			<?php
			magazinex_entry_category();
			?>
		</div>

		<?php the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' ); ?>
	</header>

	<div class="entry-meta">
		<?php
		magazinex_entry_meta_date();
		?>
	</div>
</article><!-- #post-<?php the_ID(); ?> -->
